Package org.apache.catalina.ha.backend

# Class CollectedInfo

java.lang.Object
org.apache.catalina.ha.backend.CollectedInfo

public class CollectedInfo extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected MBeanServer`
  `mBeanServer`
  `protected ObjectName`
  `objName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CollectedInfo(String host, int port)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `init(String host, int port)`
  `void`
  `refresh()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### mBeanServer

    protected MBeanServer mBeanServer

  - ### objName

    protected ObjectName objName

- ## Constructor Details

  - ### CollectedInfo

    public CollectedInfo(String host, int port) throws Exception
    Throws:
      `Exception`

- ## Method Details

  - ### init

    public void init(String host, int port) throws Exception
    Throws:
      `Exception`

  - ### refresh

    public void refresh() throws Exception
    Throws:
      `Exception`